
<div class='row'>
  <div class="col-lg-2"></div>
  <div class="col-lg-8 user-block">
    <!-- <h4><%#= t('preferences', scope: ['layouts', 'menu_up_user_page']) %></h4> -->
    <br>
    <%=  simple_form_for_horizontal @user, url: update_user_preferences_registration_path, method: :patch do |f| %>
      <%= f.error_notification %>

      <%= f.simple_fields_for :preferences, OpenStruct.new(@user.preferences) do |foptions| %>
        <%= foptions.input :perimeter, # collection: @user.perimeters.order_for_list.collect { |tc| [tc.name_level.html_safe, tc.id.to_s] },
                                       collection: Admin::Perimeter.order_for_list.collect { |tc| [tc.name_level.html_safe, tc.id.to_s] },
                                       required: false,
                                       label: t("preferences_perimeter", scope: ['activerecord','attributes','user']),
                                       # label: t('default_perimeter',
                                       label_html: {class: "label-wide-horiz"} %>
        <hr>
        <%= foptions.input :locale, collection: I18n.available_locales.collect { |lang| [lang, lang] },
                                    required: false,
                                    label: t("preferences_locale", scope: ['activerecord','attributes','user']),
                                    label_html: {class: "label-wide-horiz"} %>
        <hr>
        Valeurs par défaut (pour création nouveau RCA) :
        <% CustomField.content_columns.each do |col| %>
          <% cfd = Meth::CustomFieldDesc.where(internal_name: col.name).includes(:custom_field_type).first %>
          <% if cfd && cfd.show_search && cfd.custom_field_type.field_internal == 'select' %>
            <%= input_custom_field_select(foptions, nil, cfd, obligatory: false, search_form: true) %>
          <% end %>
        <% end %>
      <% end %>

      <div class="form-actions">
        <%= f.button :submit, "Update", class: "btn-outline-warning" %>
      </div>
    <% end %>

    <br>
  </div>
  <div class="col-lg-2"></div>
</div>

